import request from '@/utils/request'
// 提案信息-新增 proposalInfo:info:add
export function getCaseAddFn(data) {
  return request({
    'url': '/proposalInfo/info',
    'method': 'post',
	'data':data
  })
}
// 提案信息-列表 proposalInfo:info:add
export function getCaseListFn(data) {
  return request({
    'url': '/proposalInfo/info/list',
    'method': 'get',
	'data':data
  })
}
// 提案信息-详情 proposalInfo:info:query
export function getCaseDetailFn(data) {
  return request({
    'url': '/proposalInfo/info/'+data,
    'method': 'get',
  })
}
// 提案信息-修改 proposalInfo:info:edit
export function getCaseEditFn(data) {
  return request({
    'url': '/proposalInfo/info/put',
    'method': 'post',
	'data':data
  })
}
// 提案信息-删除 proposalInfo:info:remove
export function getCasDelFn(data) {
  return request({
    'url': '/proposalInfo/info/delete/'+data,
    'method': 'get',
  })
}
// 提案信息-类别
export function getCasetalbFn(data) {
  return request({
    'url': '/category/proposal/categoryTree',
    'method': 'get',
	'data':data
  })
}
// 
export function getCasetalblistFn(data) {
  return request({
    'url': '/system/dept/list',
    'method': 'get',
	'data':data
  })
}
// 提案人员 委员信息-列表不分页member:info:listNoPage
export function getInfoListFn(data) {
  return request({
    'url': '/member/info/listNoPage',
    'method': 'get',
	'data':data
  })
}
// 是否立案proposalInfo:info:isRecord
export function getInfoisRecordFn(data) {
  return request({
    'url': '/proposalInfo/info/isRecord',
    'method': 'post',
	'data':data
  })
}
// 提案交办proposalInfo:info:assign
export function getInfoAssignFn(data) {
  return request({
    'url': '/proposalInfo/info/assign',
    'method': 'post',
	'data':data
  })
}
// 单位答复proposal:unit:reply
export function getInfoReplyFn(data) {
  return request({
    'url': '/proposal/unit/reply',
    'method': 'post',
	'data':data
  })
}
// 承办单位答复委员proposalInfo:info:cbdwdfwy
export function getInfoReplywyFn(data) {
  return request({
    'url': '/proposalInfo/info/cbdwdfwy',
    'method': 'post',
	'data':data
  })
}
// 办结审核proposalInfo:info:assignsh
export function getInfoShFn(data) {
  return request({
    'url': '/proposalInfo/info/assignsh',
    'method': 'post',
	'data':data
  })
}
// 委员意见proposalInfo:info:idea
export function getInfoIdeaFn(data) {
  return request({
    'url': '/proposalInfo/info/idea',
    'method': 'post',
	'data':data
  })
}
// 政协意见proposalInfo:info:zxIdea
export function getInfozxIdeaFn(data) {
  return request({
    'url': '/proposalInfo/info/zxIdea',
    'method': 'post',
	'data':data
  })
}


// 推荐重点proposalInfo:info:keyPoint
export function getInfokeyPointFn(data) {
  return request({
    'url': '/proposalInfo/info/keyPoint',
    'method': 'post',
	'data':data
  })
}
// 推荐优秀proposalInfo:info:outstanding
export function getInfooutstandingFn(data) {
  return request({
    'url': '/proposalInfo/info/outstanding',
    'method': 'post',
	'data':data
  })
}
//联名提案信息列表proposalInfo:info:jointlyList
export function getInfojointlyListFn(data) {
  return request({
    'url': '/proposalInfo/info/jointlyList',
    'method': 'get',
	'data':data
  })
}
//联名确认proposal:user:verify
export function getUserverifyFn(data) {
  return request({
    'url': '/proposal/user/verify',
    'method': 'post',
	'data':data
  })
}
//承办单位提案信息列表proposalInfo:info:unitList
export function getInfounitListFn(data) {
  return request({
    'url': '/proposalInfo/info/unitList',
    'method': 'get',
	'data':data
  })
}
//催办zxUrge:urge:add
export function getInfourgeFn(data) {
  return request({
    'url': '/zxUrge/urge',
    'method': 'post',
	'data':data
  })
}
//政府催办-列表zxUrge:urge:list查看我接收，发出的催办
export function geturgeListFn(data) {
  return request({
    'url': '/zxUrge/urge/list',
    'method': 'get',
	'data':data
  })
}
//催办zxUrge:urge:query
export function geturgeDetailFn(data) {
  return request({
    'url': '/zxUrge/urge/'+data,
    'method': 'get',
  })
}
//可催办列表proposalInfo:info:tacbList
export function gettacbListFn(data) {
  return request({
    'url': '/proposalInfo/info/tacbList',
    'method': 'get',
  })
}